# BEGIN SourceDeps(oneline):
BuildRequires: perl(Config/General.pm) perl(Data/Dumper.pm) perl(File/Basename.pm) perl(File/Copy.pm) perl(File/chmod.pm) perl(Getopt/Long.pm) perl(Lingua/YaTeA.pm) perl(Lingua/YaTeA/Corpus.pm) perl(Module/Build.pm) perl(Module/Build/Compat.pm) perl(Pod/Usage.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(XML/Twig.pm)
# END SourceDeps(oneline)
%define module_version 0.11
%define module_name Lingua-BioYaTeA
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.11
Release: alt1
Summary: Perl extension of Lingua::YaTeA for extracting terms from a biomedical corpus.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/B/BI/BIBLIOME/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
This module is the main module of the software BioYaTeA which is an
adaptation of YaTeA (`Lingua::YaTeA') for biomedical text.

The module inherits from all the class and attributes of
`Lingua::YaTeA'. The input and output files but also the
configuration files follow the same format as YaTeA.
The tuning concerns the configuration files (in the directory
`share/BioYaTeA'.

Default configuration is assumed to be `/etc/bioyatea/bioyatea.rc'.

For the use of BioYaTeA, see the documentation with the script
`bioyatea'.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name
%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build --install_path bindoc=%_man1dir

%install
%perl_vendor_install

%files
%doc README TODO LICENSE AUTHORS Changes examples
%perl_vendor_privlib/L*
%_datadir/BioYaTeA
%dir %_sysconfdir/bioyatea
%config %_sysconfdir/bioyatea/bioyatea.rc

%files scripts
%_bindir/*
%_man1dir/*

%changelog
* Wed Jun 25 2014 Igor Vlasenko <viy@altlinux.ru> 0.11-alt1
- initial import by package builder

